Name:    libxcam
Version: 1.2.2
Release: 1%{?dist}
Summary: libXCam provides extended camera features and focus on image quality improvement and video analysis.

License: ASL 2.0	
URL:     https://github.com/intel/libxcam
Source0: https://github.com/intel/libxcam/archive/release_%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: autoconf, automake, libtool
BuildRequires: gcc gcc-c++
BuildRequires: gstreamer1-devel
BuildRequires: gstreamer1-plugins-base-devel
BuildRequires: libdrm-devel
BuildRequires: mesa-vulkan-devel
BuildRequires: mesa-libOpenCL-devel
BuildRequires: ocl-icd-devel

%description
libXCam is a project for extended camera features and focus on image quality
improvement and video analysis. There are lots features supported in image
pre-processing, image post-processing and smart analysis. This library makes
use of the GPU/CPU/ISP working together to improve image quality. OpenCL is used
to improve performance in different platforms.

%package -n  gstreamer1-plugin-xcam
Summary:     gstreamer1 plugin for libxcam
Requires:    %{name}%{?_isa} = %{version}-%{release}

%description -n gstreamer1-plugin-xcam
gstreamer1 plugin for libxcam

%package     devel
Summary:     Development package for %{name}
Requires:    %{name}%{?_isa} = %{version}-%{release}

%description devel
Files for development with %{name}.

%prep
%autosetup -n %{name}-release_%{version} 

%build
autoreconf -vif
%configure --disable-static --enable-vulkan \
           --enable-gles --enable-gst --enable-drm \
           --disable-libcl
%make_build

%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -delete

%ldconfig_scriptlets

%files
%{_libdir}/libxcam*.so.1*

%files devel
%{_includedir}/xcam
%{_libdir}/libxcam*.so
%{_libdir}/pkgconfig/libxcam.pc

%files -n gstreamer1-plugin-xcam
%{_libdir}/gstreamer-1.0/libgstxcamsrc.so

%changelog
* Sat Apr 27 2019 Peter Robinson <pbrobinson@fedoraproject.org> 1.2.2-1
- Initial package
